Imengine
========
Wrapper package for Imengine

## Setup
You have been provided with a script that helps you kick start your development and install
all necessary dependencies by executing following:

```bash
$ ./bin/init.sh
```

## Using
To start using Imengine setup it with by serving the class with server url
```php
Imengine::setup($serverUrl);
```

### Crop Data object
For use `autoCrop`, `cropResize`, `npCrop` you have to provided them with crop data object with parameters.
This classes are provided under `CropData`

### ImengineHelper
Provide you with helper functions

## Release
We have created a command that helps you to

* Bump version
* Commit and tag
  
```bash
$ ./bin/create-release
```

Then you get option of what type of version you want to release: `Major`, `Minor` & `Patch`. And this script will helps you to update and create 
tags with **semantic versioning**

### CHANGELOG
Don't forget to update CHANGELOG.md with the changes made so it's easy for other developer 
to see what have happened.
